Subject: Re: Draft revised I/D of MPEG-4 A/V RTP

From: John Lazzaro <[email-masked]>
Date: Tue, 20 Jun 2000 09:52:40 -0700

] Dear Kikuchi-san and all,
] 
] I have revised the I/D as follows and attached it with this mail.
] 
] > Regarding (2), I saw a message from John for the agreement on the revision
] > proposed by Nomura-san. A text for the revision will be sent soon to the
] > reflector by Nomura-san for the final approval.
] 
] Best Regards,
]
] Toshiyuki Nomura, NEC

[... from revised document ...]

] For MPEG-4 Audio coding tools except synthesis tools, as is true for
] other audio coders, if the payload of a packet is a single audio
] frame, packet loss will not impair the decodability of adjacent
] packets. On the other hands, MPEG-4 Audio synthesis tools may be
] sensitive to error.  For example, an SA_access_unit in the payload may
] set a global value to a new value, which is then references throughout
] the audio content to make a macro change in the performance. In
] this case, an error in the payload influences all audio data produced
] after the error. In order to enhance error resiliency, the element
] of SA_access_unit that makes the above macro change should be
] transmitted across several SA_access_unit repeatedly. The number of
] repetition will be dependent on the network condition. Therefore, the
] additional media specific header for recovering errors will not be
] required for MPEG-4 Audio.

Looks great ...

] The payload-format-specific parameters "bitrate", "cpresent" and
] "config" go in the "a=3Dfmtp" line. If the string after "config=" is
] quite large, such large config data should not be transmitted by
] SDP but should be transmitted by in-band mode.

Looks great ... hopefully these updates will improve the odds of 
MP4 over RTP implementations working "out of the box" with Structured
Audio streams!

-------------------------------------------------------------------------
John Lazzaro -- Research Specialist -- CS Division -- EECS -- UC Berkeley
lazzaro [at] cs [dot] berkeley [dot] edu     www.cs.berkeley.edu/~lazzaro
-------------------------------------------------------------------------